import Flutter
import UIKit

public class SwiftFirstpluPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "firstplu", binaryMessenger: registrar.messenger())
    let instance = SwiftFirstpluPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    print("swift:firstplu in ios is called!!!")
    
    result("iOS " + UIDevice.current.systemVersion)
  }
}
